2026-02-24 Kangsoo Kim

    * fix \legend with [figtabcapt] option.
    * new command \hverseinput provided.
    * per-year release version 3.5

2025-10-04 Kangsoo Kim

	* deprecated commands of memoir (memhangul-common)

2025-07-19 Kangsoo Kim

	* fix a bug of \titleref and \@chapter (memhangul-common.sty)
	* fix a bug concerning babel (memhangul-x.sty)
	* no documentation revised

2025-04-08 Kangsoo Kim

	* a bug of typo fixed (oblivoir-misc.sty)

2025-04-04 Kangsoo Kim

    * released version 3.4.1
	* change \addtodef to \pretocmd and \apptocmd
	* obchapterstyles and simpledoc documentations revised

2025-03-15 Kangsoo Kim

    * \texthl (oblivoir-misc): support standard latex classes

2025-02-07 Kangsoo Kim

	* released version 3.4

2024-10-15 Kangsoo Kim

	* oblivoir-misc update: hverse revised
	* minor parameters changed: memhangul-common.sty

2024-03-06 Kangsoo Kim

	* released version 3.3
	* documentations added: obsideparas.pdf, obchapterstyles-doc.pdf
	* documentation revised: oblivoir-simpledoc
	* subpackage added: obchapterstyles.sty

2024-02-01  Kangsoo Kim

	* issue concerning new verbatim.sty

2024-01-31	Kangsoo Kim

	* obchaptertoc 0.4: bug fixed and documentation rewitten

2023-03-08	Kangsoo Kim

	Version 3.2.1

	* babel support (memhangul-x)
	* oblivoir-misc

2023-02-28	Kangsoo Kim

	Version 3.2

	* memhangul-common, bug fixed (\bnm)
	* obmathleading
	* documentations revised

2023-02-26	Kangsoo Kim

	Version 3.2.pre

	* obchaptertoc, oblivoir-misc

2022-11-04	Kangsoo Kim

	Version 3.1.5.1

	* minor bug fix concerning hyperref, memhangul-common

2022-04-01  Kangsoo Kim

	Version 3.1.3

	* bug fix concerning ob-mathleading and memhangul-common (mathdiap)

2022-03-08	Kangsoo Kim

	Version 3.1.2

	* bug fix concerning fapapersize and trimmarks

2022-03-05	Kangsoo Kim

	Version 3.1.1

	* bug fix concerning toc and pdfbookmarks

2022-03-01	Kangsoo Kim

	Version 3.1

	* update fapapersize.sty
	* add oblivoir-misc.sty

2021-03-03	Kangsoo Kim

	Version 3.0

	* fixed several bugs.
	* oblivoir has now obchaptertoc and ob-mathleading sub packages.

2020-03-20	Kangsoo Kim	<karnes at ktug.org>

	Version 2.2.1

	* minor bug fix
	* xob-font.sty: version 0.8.1

2020-02-09	Kangsoo Kim	<karnes at ktug org>

	Version 2.2

	* Full integration of oblivoir.cls and xoblivoir.cls.
	* Bug fixes.
	* oblivoir.cls: version 2.2
	* oblivoir-utf.cls: version 0.8.2
	* oblivoir-xl.cls: version 0.8.4
	* memhangul-x.sty: version 11.11
	* xetex-var.sty: version 0.14
	* xob-font.sty: version 0.8
	* xob-lwarp.sty: new file

2017-02-03	Kihwang Lee	<leekh at ktug org>

	Version 2.1.8

	* xob-font.sty: version 0.7
	fix conflicts with the latest l3kernel.

2015-10-19	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.7

	* oblivor-base.cls: version 0.8.1
	fix conflicts with etextools package.
	* oblivor-xlua.cls: version 0.8.3
	fix conflicts with etextools package.

2015-10-15	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.6

	* memhangul-common.sty
	\@part, \@chapter renewal.

2015-10-05	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.5

	* oblivor-base.cls: version 0.8
	enhance dhucs-eumerate compatibility.
	* ob-koreanappendix.sty
	improve Korean appendix typesetting.
	* memhangul-x.sty: version 11.10
	change \sethangulfont command for polyglossia.

2015-08-07	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.4a

	* memhangul-common.sty
	fix default chapter style, postchapternum (hoze & gromov).

2015-08-01	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.4

	* oblivoir-base.sty: versin 0.7
	etex.sty dropped.
	* oblivoir-xlua.cls: version 0.8.2a
	etex.sty dropped.

2015-07-27	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.3

	* memhangul-x.sty: version 11.9
	minor fix.
	* oblivoir-xlua.cls: version 0.8.2
	minor fix.
	* xoblivoir.cls: minor fix.
	* oblivoir-test.tex: minor fix.

2015-07-10	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.2

	* oblivoir-xlua.cls: version 0.8.1
	etex-pkg conflicts fixed.

2015-04-19	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.1

	* oblivoir-xlua.cls: version 0.8
	suppress space factors.
	* doc/oblivoir-simpledoc.tex: minor typo corection.

2014-06-25	Kangsoo Kim	<karnes at ktug org>

	Version 2.1.0

	* oblivoir-base.cls: version 0.6
	use new xob-font.sty, replace \renewcommand's with \setlength's.
	* oblivoir-xlua.cls: version 0.7
	use new xob-font.sty, replace false \renewcommand with \setlength.
	* xoblivoir.cls: fontspec option introduced.
	* doc/oblivoir-simpledoc.tex: revised for version 2.1.0.
	* doc/oblivoir-test.tex: minor fixes.
	* memhangul-ucs/memhangul-common.sty: minor fixes to section titles.
	* memhangul-ucs/memhangul-patch.sty: move patches into main code base.
	* memhangul-ucs/memhangul-ucs.sty: version 1.4.4g
	suppress auto loading etex.sty.
	* memhangul-ucs/memucs-gremph.sty: \if@unfonts => \if@unfont.
	* memhangul-x/luatexko-xobfont.sty: removed.
	* memhangul-x/memhangul-x.sty: use new xob-font.sty.
	* memhangul-x/xetexko-var.sty: use new xob-font.sty.
	* memhangul-x/xetexko-xobfont.sty: removed.
	* memhangul-x/xob-dotemph.sty: \useremph redefined.
	* memhangul-x/xob-font.sty: newly introduced.
	* memhangul-x/xob-paralist.sty: minor fixes.

2014-04-29	Kangsoo Kim	<karnes at ktug org>

	Version 2.0.1

	* memhangul-x.sty: fixed a bug reported by Progress.
	* xetexko-xobfont.sty:  disable "223C assignment.
	* xob-dotemph.sty: fixed a minior bug.

2013-11-08	Kihwang Lee	<leekh at ktug org>

	No version change

	* ChangeLog: added
	Consolidated change logs from included files

2013-10-26	Kangsoo Kim	<karnes at ktug org>

	No version change

	* oblivoir-base.cls: version 0.4.3
	move \kscntformat definition to memhangul-ucs
	* oblivoir-xlua-cls: moved \kscntformat definition to memhangul.

2013-10-24	Kihwang Lee	<leekh at ktug org>

	No version change

	* Uploaded to CTAN

2013-10-22	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty.: introduce memhangul-common.sty
	* memhangul-x.sty: introduce memhangul-common.sty

2013-10-21	Kihwang Lee	<leekh at ktug org>

	Version 2.0.0

	* kotex-oblivoir packaging, uploaded to https://github.com/kihwanglee/kotex-oblivoir

2013-10-16	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: [kosection] bug fix
	* memhangul-x.sty: \kscntformat and [kosection] bug fix.

2013-10-03	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.4.2
	fix a typo.

2013-09-28	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-test.tex: xoblivoir ver2 버전으로 포팅.

2013-09-27	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: xoblivoir-related fixes.
	* xetexko-xbofont.sty:  nounfonts set to default.
	* xetexko-var.sty: nounfonts.
	* memhangul-x.sty: \cntrdotss

2013-09-26	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.4.1
	[moreroom] thanks to Juho.Lee

2013-09-25	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.4.0
	redesign for nanum type 1

2013-09-15	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: \leavevmode at \explpunc, \expldash

2013-09-12	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: integrate ifluaorxetex.sty

2013-09-01	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: [cjk], [dhucs] option introduced
	* oblivoir-xlua.cls: [cjk], [dhucs] option introduced.

2013-08-26	Kihwang Lee	<leekh at ktug org>

	* xob-hyper.sty: created for xetexko v2.1
	* xob-dotemph.sty: updated for xetexko v2.1
	* xetexko-var.sty: version 0.12
	Updated for xetexko v2.1

2012-12-31	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: [unfonts], [nounfonts]

2012-12-02	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: drop shipout hacking codes. (problem solved)
	* memhangul-x.sty: drop shipout hacking codes

2012-11-29	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: \pdfstringdefDisableCommands

2012-11-22	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: [figtabcapt]
	* memhangul-x.sty: [figtabcapt] opton introduced
	* oblivoir-base.cls: version 0.3.9
	[figtabcapt] option

2012-11-01	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: avoid error in \cnm, \ccnm etc.

2012-10-29	Kangsoo Kim	<karnes at ktug org>

	* luatexko-xobfont.sty: version 0.1.2
	[unfonts], [nounfonts]

2012-07-28	Kangsoo Kim	<karnes at ktug org>

	* luatexko-xobfont.sty: version 0.1.1
	bug fix

2012-07-12	Kangsoo Kim	<karnes at ktug org>

	* luatexko-xobfont.sty: version 0.1
	oldhangul option is not implemented
	* memhangul-x.sty: introduce luatexko-xobfont

2011-09-26	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: [preloadoption] bugfix.

2011-09-15	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: changes according to xoblivoir
	* oblivoir-xlua.cls: [fontspec] renamed to [manualfontspec]; and intrudoce [fontspec, xcolor, hyperref, preloadoption]

2010-09-16	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: cntrdot, adjustmath
	* oblivoir-xlua.cls: reserveinserts, lyx compatibility etc. (for TeX Live 2010)

2010-03-18	Kangsoo Kim	<karnes at ktug org>

	* xob-dotemph.sty: xetexko-dotemph의 확장
	dhucs/hangul compatible (\dotemph, \circemph, \useremph)

2010-03-17	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-test.tex: xoblivoir 버전으로 포팅

2010-02-09	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: [microtype] -> hanging punctuation (xetexko)

2009-10-27	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: [preload] 옵션

2009-10-13	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: 따옴표 설정을 xetexko에게.

2009-09-26	Kangsoo Kim	<karnes at ktug org>

	* xetexko-var.sty: xetexko-vertical.sty
	* memhangul-x.sty: try to fix the first pdf page layout error on XeTeX (moved from fapapersize)

2009-08-25	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: sans/mono bug fixed (thanks to DH Kim and YW Kim)

2009-05-11	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: protect bnm commands

2009-04-07	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: [lyxhyper] 옵션

2009-04-06	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.3.8
	[lyxhyper] option

2009-04-02	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: redefine mem@shipii.
	* memucs-interword-x.sty: small alterations
	* memhangul-x.sty: redefine memoir-shipout for pdflualatex and other...

2009-03-25	Kangsoo Kim	<karnes at ktug org>

	* xetexko-var.sty: xetexko.sty

2009-02-11	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: memoir v1.6180339e compatibility mend 1.
	titleref, hangul page style.
	* memoir v1.6180339e compatibility mend 1.
	titleref, hangul page style.

2008-12-08	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: \XKOV@XP

2008-12-03	Kangsoo Kim	<karnes at ktug org>

	* xetexko-var.sty: nowinname 옵션 추가
	* memhangul-x.sty: nowinname 옵션 추가
	* oblivoir-xlua.cls: nowinname 옵션 추가

2008-12-02	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: nowinname 옵션 추가
	Italic 옵션에 (*) 추가

2008-11-24	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: add [amsmath] option to avoid LyX's auto loading problem under XeLaTeX.

2008-11-09	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: \setkor...font 명령 재작성

2008-10-24	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: add [unicode] option to hyperref under LuaTeX

2008-10-23	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: bnmcmds, oblivoirdblquote
	* oblivoir-base.cls: version 0.3.4
	moreverb, faht, fawd options. (See xoblivoir.cls)

2008-10-22	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: fawd, faht 옵션 추가. (workaround with flowfram)

2008-10-13	Kangsoo Kim	<karnes at ktug org>

	* xetexko-xbofont.sty: xetexko-xobfont 작성
	* memhangul-x.sty: xetexko v0.1 반영
	* oblivoir-xlua.cls: xetexko v0.1 반영

2008-10-12	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: fontspec, moreverb, xob-hanfont

2008-10-08	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-xlua.cls: revive kscntformat

2008-10-07	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: revive interword hook
	revive gremph-itemph
	* oblivoir-xlua.cls: revive gremph-itemph

2008-09-30	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: hangul item titles 코드 정리.
	* oblivoir-xlua.cls: xkospace 새 버전에 맞춘 대대적인 수정.
	enumerate, hangul item title, 기호문자 등을 추가.
	* oblivoir-base.cls: version 0.3.3a
	change the way of calling microtype (non-released version)

2008-09-18	Kangsoo Kim	<karnes at ktug org>

	* memhangul-x.sty: rename xkospace.sty to xkospace-var.sty
	to avoid confusion
	latinquote 옵션
	* oblivoir-xlua.cls: revive microtype option, in spite of its impotence.
	latinquote 옵션

2008-09-16	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.3.3
	apply microtype to non-pdflatex

2007-11-18	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: add \alsoname definition
	* oblivoir-base.cls: version 0.3.2
	add \see, \seealso definition

2007-10-23	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.3.1
	subfigure package compatibility (in order to use with LyX)

2007-09-09	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: remove test code

2007-08-06	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: add \expldash command

2007-08-02	Kangsoo Kim	<karnes at ktug org>

	* memucs-gremph.sty: redundant space bug fix

2007-07-15	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: no changes. part of ko.TeX
	* oblivoir-base.cls: version 0.3.0
	no changes. part of ko.TeX

2007-07-05	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.2.4a
	add \pjaso to enumerate

2007-07-01	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.2.4
	adopt dhucs-enumerate.sty, enumerate hook.

2007-06-26	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: introduce [strictcharcheck], acc. dhucs 4.0.6
	* oblivoir-base.cls: version 0.2.3
	strictcharcheck option introduced. cf. dhucs 4.0.6

2007-06-16	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.2.2
	finemath setto default. [nofinemath] introduced. [microtype] introduces, which works only under pdflatex.

2007-06-14	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: follow up dhucs 4.0.1, rename a few cs.
	* oblivoir-base.cls: version 0.2.1
	dhucs 4.0.1, memhangul-ucs 1.5.1

2007-06-08	Kangsoo Kim	<karnes at ktug org>

	* memucs-gremph.sty: \slshape independent from \itshape

2007-06-07	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: indent first in japanese env.

2007-06-03	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: dhucs 4.0 hfontspec applied
	* memhangul-ucs.sty: dhucs hfontspec etc.
	* hfontsel.sty: \SelectHfonts 명령에 의해 생성되는 \hfontfamilynameprefix (2letters)를 [hfontspec] 옵션에 의하여 \usehangulfontspec의 인자로 사용한다. oblivoir에서는 이 방법을 쓰지 않음.
	* oblivoir-base.cls: version 0.20c
	pdfbookmark option to memhangul-ucs dropped.

2007-05-25	Kangsoo Kim	<karnes at ktug org>

	* hfontsel.sty: dhucs 4.0 compatible
	\hfontfamilynameprefix는 사용되지 않을 것이나, 하위호환성을 위해 유지함.

2007-05-24	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.20a
	\oblivoirallowbreak introduced

2007-05-20	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: memh@cjksymbolskip & memh@postcjksymkern, cntrdot etc.

2007-05-17	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.20
	dhucs 4.0, memhangul-ucs 1.5.0

2007-05-16	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.5.0 (dhucs 4.0)

2007-01-14	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.18a
	slightly alter calling-hyperref method.

2006-12-20	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.17C.a
	\chapter-compatible feature. (private version) : \oblivoirchapterstyle command added.

2006-12-15	Kangsoo Kim	<karnes at ktug org>

	* hfontsel.sty: bug fix. thanks to Dohyun Kim.

2006-12-06	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.17
	\appendix+nokorean option bug fix (req. by Beomsuk Hyun)

2006-12-04	Kangsoo Kim	<karnes at ktug org>

	* fapapersize.sty: version 0.031
	trivial bug fix.

2006-11-24	Kangsoo Kim	<karnes at ktug org>

	* fapapersize.sty: version 0.03
	stocksize를 별도 지정할 수 있게 함
	option [stock], command \usefastocksize{<width>}{<height>}

2006-11-23	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.16
	\appendix features added. (req. by Beomsuk Hyun)

2006-11-01	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.15
	[nokorean] option \if..\fi pair bug fix (rep. by smcho)

2006-10-22	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.14
	[itemph], [romanfixed] option introduced.

2006-10-19	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.13
	[tocentry] option introduced. (req. by Beomsuk Hyun)

2006-09-25	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.12
	\kscntformat bug fix

2006-09-18	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.11
	article-like footnote style made default, [footnote] option introduced

2006-09-13	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.1
	renamed to oblivoir (req. by ischo)

2006-09-06	Kangsoo Kim	<karnes at ktug org>

	* hfontsel.sty: unfonts-type1을 쓸 때 \hfontfamilynameprefix가 {ut}로 되돌려지던 문제점 수정.
	non-default 상태에서는 hanja/roman의 설정에 영향을 받는다.

2006-09-05	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.014
	introduce [10.5pt] option with 10_5.sty (req. by synapse)

2006-09-03	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.013
	introduce hfontsel.sty. (req. by synapse)

2006-09-01	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.012
	\thetitle, \theauthor undefined problem fixed. (rep. by IsCho)

2006-06-25	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.4g
	suppress auto loading etex.sty

2006-05-02	Kangsoo Kim	<karnes at ktug org>

	* oblivoir-base.cls: version 0.011
	rename ksnamedef(false) to kscntformat

2006-04-27	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.4f
	adopt dhucs 3.0.0
	* memhangul-patch.sty: remove redundant prerenderunicodes according to dhucs 3.0.0
	* oblivoir-base.cls: version 0.01
	introduce [nokorean] option requested by smcho.

2006-04-19	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.4
	drop CJKbookmarks hyperref option, just use dhucs-ucshyper
	[dvips] option added.
	reject dhucs 2.7.2 autojosa routine, adopt previous version

2005-12-28	Kangsoo Kim	<karnes at ktug org>

	* memhangul-patch.sty: appendix-related minor fix

2005-11-17	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: \interhword bug fixed.
	* memucs-interword-x.sty: \interhword bug fixed

2005-10-30	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.4
	CJKbookmark option added to hyperref

2005-10-29	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.3
	mended appendix-related problems
	introduced [pdfbookmark] option.
	TODO. figs & tables in appendix hyperlinks have problems.

2005-10-19	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.2
	appendix-related bug fix

2005-10-15	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.4.1
	introduce memhangul-patch.sty to make compatible with memoir 1.618
	* memhangul-patch.sty: some day, this patch has to be weaved into memhangul-use, 1.4, I hope.

2005-09-21	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.32
	[ms] option.

2005-09-09	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.31
	memucs-setspace default changed. quote-quotation normal interline.

2005-08-17	Kangsoo Kim	<karnes at ktug org>

	* memucs-gremph.sty: \slhangul added.

2005-08-12	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: version 1.3
	\divnote test version.
	\chapterindentfirst added.
	\cntrdots added.

2005-08-09	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: pagestyle hangul added.
	[hangulpagestyle], [arabicfront] options.
	\explpunc defined.
	\partmark added.
	\bfdotemph added.

2005-08-05	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: nonfrench option introduced.
	* memhangul-ucs.sty: change after dhucs 2.6
	adjustmath option added.

2005-07-30	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: replace em by \BASE@FONTsize
	* memhangul-ucs.sty: fix the bug that [noquotespacing] option has no effects.

2005-07-17	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: reintroduce chapter \PrerenderUnicode's

2005-07-08	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: improve \titleref

2005-06-28	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: drop dhucs-plain, dhucs 2.4

2005-06-06	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: pdf bookmark hyperlink to APPENDIX sections problem fixed.

2005-05-17	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: engtext env. added.
	* memucs-interword-x.sty: engtext env added

2005-04-26	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: 드러냄표. dhucs 2.2를 따름.

2005-04-24	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: 드러냄표 구현.
	dhucs-plain 1.7.
	\normalfont로 고침.

2005-04-22	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: gremph 관련 수정. 1.1x1
	memucs-gremph.sty 추가

2005-02-23	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: revised. 1.1x
	dhucs (plain)1.6과 함께 사용함.

2005-02-22	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: \chapter definition retrieved to original memoir manner.
	\titleref bug(memoir) fixed.
	\appendix chapter PDF bookmarks hyperlink problem improved.

2005-02-14	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: disable \MakeUppercase redefinition after dhucs 2.0
	release 1.0

2005-02-11	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: marginparswitch added.

2005-02-08	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: reset interwordchapterskip values
	* memhangul-ucs.sty: mempatch 3.5 적용.
	revive interwordchapterskiphook
	minor fixes.
	* memucs-interword-x.sty: reset interwordchapterskip values

2005-01-31	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: 한글 특수문자 정의

2005-01-29	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: memucs-setspace 변경
	companion pagestyle 변경

2005-01-20	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: \index를 memoir의 3-pass 방식으로 되돌림

2005-01-15	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: require dhucs.
	drop including kshangul.prerenders
	release.

2005-01-07	Kangsoo Kim	<karnes at ktug org>

	* memucs-interword.sty: code clearance
	* memhangul-ucs.sty: \GrEmph 수정. \bfemtrue, \bfemfalse
	\josa@hyper@link 수정(dhucs 1.1)
	\utf@viii@undeferr의 경우 \jobname.pru에 \PrerenderUnicode를 씀(after dhucs)
	renew \makeindex because of conflicts between \utf@viii@undeferr and \@index
	\HArabic counter added.
	* memucs-interword-x.sty: code clearance

2005-01-05	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: \unichar 재정의(dhucs 20050105)
	.aux에 \PrerenderUnicode를 씀.
	\GrEmph 옵션 도입.

2005-01-04	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: dhucs 2005-01-04 반영.
	nonfrench 괄호 문제 개선.
	확장한자 개선.

2005-01-02	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: heading, ruled, Ruled의 헤딩 폰트가 달라지는 것을 수정.
	slshape, itshape의 폰트 교란을 수정.
	\hanjanum, \hNum 카운터 포맷, demovar chapter style 추가.

2004-12-31	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: dhhangul-ucs-test 2004-12-31 버전을 반영함.

2004-12-30	Kangsoo Kim	<karnes at ktug org>

	* memhangul-ucs.sty: dhhangul-ucs-test 2004-12-30 버전을 반영함.
	폰트 설정 명령을 \DeclareRobustCommand로 함.
	한글 section 카운터 관련 수정.
